<? /*
<?
	$package_queue = null;
	$current_user = Model_Users::getCurrent(); 
	if ( $current_user['user_type'] == 'escort' ) {
		$escort = $current_user->getEscort();
		$package_queue = Cubix_Api::getInstance()->call('escorts.getActivePackagesExpiration', array($escort->id));
	}
?>
<script type="text/javascript">
	var headerVars = {
		currentUser	: <?= json_encode($current_user) ?>,
		packageQueue : <?= json_encode($package_queue) ?>,
		tUsername	: "<?= __('username') ?>",
		tPassword	: "<?= __('password') ?>",
		sessionId	: "<?= session_id() ?>"
	};
</script>
 */ ?>
<?/*<script type="text/javascript" src="/js/header.js"></script>*/?>

<?
	$home_url = '/';
	/*$region_slug = $this->request()->region;
	if ( $region_slug ) {
		$home_url = '/escorts/region_' . $region_slug;
	}*/
	/*if ( Cubix_I18n::getLang() != Cubix_Application::getDefaultLang() ) {
		$home_url = '/' . Cubix_I18n::getLang();
	}*/
?>

<div id="<?= isset($this->glitter)?'header_glitter':'header' ?>" > <? //class="winter"?>
	<? /*
	<div style="position: absolute; top: 0px; left: 0px; background-color: #ddd; z-index: 150; overflow: scroll; height: 700px;">
		<? foreach($GLOBALS['SQLS'] as $sql): ?>
			<? echo $sql . "<br/><br/>"; ?>
		<? endforeach; ?>
	</div>
	*/?>
	<a id="<?= isset($this->glitter)?'logo_glitter':'logo' ?>" <? /*class="winter "*/?> href="<?= $home_url ?>"><?/*<img src="<?= _st('v2.1/logo_main.png') ?>" alt="www.and6.com" width="280" height="50" />*/?></a>
	
	
	<a href="#" class="mobile_banner" style="<?= isset($this->glitter)?'display: none':''; ?>"></a><?// class= winter ?>
    <?/*<a href="https://www.facebook.com/pages/and6ch/1379109682324851" target="_blank" class="fb_banner">*/?>
        <span><?= __('fblink') ?></span>
<!--        <span>folge uns auf:</span>-->

	<? /*<a href="<?= $this->getLink('fast-profile') ?>" class="main_advertise_now_banner"><img src="<?= _st('advertise_now_small_banner.gif') ?>"/></a>*/?>
	<div class="mobile_popup none mobilepopup<?php echo Cubix_I18n::getLang() ?>">
		<div class="pos_rel">
			<div class="mobile_popup_x_btn"> &nbsp; </div>
		</div>
	</div> 
	
 
	<div id="top-menu">
		<a class="home" href="<?= $home_url ?>"><?= __('home') ?></a>
		<? if ( ! $user = Model_Users::getCurrent() ): ?>
			<a class="register" href="<?= $this->getLink('signup') ?>" rel="nofollow"><?= __('register') ?></a>
		<? endif ?>
		<? /*
		<a class="contact" href="<?= $this->getLink('contact') ?>?to=support" rel="nofollow"><?= __('contact') ?></a>
		 */ ?>
	</div>
	
	
	<? if ( ! $user = Model_Users::getCurrent() ): ?>
	<div id="login-box">
		<form action="<?= $this->getLink('signin') ?>" method="post">
			<input type="text" class="txt fleft" name="username" value="<?= __('username') ?>" />
			<input type="text" class="txt fleft" name="password" value="<?= __('password') ?>" />
            <input type="submit" style="visibility: hidden;position: absolute;" />
			<a href="#" class="login-btn">Login</a>
			<div class="clear"></div>
			<!-- 
			<label class="remember_me"><input type="checkbox" name="remember_me" value="1" /> <span> <?= __('remember_me') ?></span></label>
             -->
			<a href="<?= $this->getLink('forgot') ?>" rel="nofollow"><?= __('forgot_passwd') ?></a>
			<div class="clear"></div>
		</form>
	</div>
	<? else: ?>
		<script type="text/javascript">
			window.addEvent('domready', function () {

				var timerSignOut = function() {
					window.location = "/private/signout";
				}

				var timer = new Timer({length: <?= ini_get('session.gc_maxlifetime') * 1000 ?>, callback: timerSignOut});
				timer.setDisplay( $('clock') ); 
				timer.startTimer();

				$$('.time-reset').addEvent('click', function(e){
					e.stop();

					location.reload(); 
					/*timer.stopTimer();
					timer.startTimer();*/
				});
			});
		</script>
		<div id="timeout-box"><span><?= __('timeout_in') ?>: </span><span id="clock"></span><a href="#" class="time-reset"><?= __('reset') ?></a></div>
		
		<div id="login-box">
			<div class="sitemenu-logged">
				<?= $this->t('logged_in') ?> <span class="strong"><?= $user->username ?></span> [&nbsp;<a href="<?= $this->getLink('private') ?>"><?= $this->t('private_area') ?></a>, <a href="<?= $this->getLink('signout') ?>"><?= $this->t('signout') ?></a>&nbsp;]
			</div>
		</div>
	<? endif ?>
	
</div><? /*  header  */ ?>

<?
	$params = $this->getLink(null)->getParams();
	if ( isset($this->base_city) ) {
		$region_slug = $this->base_city->region_slug;		
	}
	else if ( isset($this->request()->region) ) {
		$region_slug = $this->request()->region;		
	}
	elseif ( isset($params['region']) ) {
		$region_slug = $params['region'];		
	}
$cache = Zend_Registry::get('cache');
$cache_key = 'escort_boys_count';
if ( ! $count = $cache->load($cache_key) ) {
    try {
        $count = Model_EscortsV2::escortBoysExist();
    }
    catch ( Exception $e ) {
        $count = 0;
    }

    $cache->save($count, $cache_key, array());
}

?>

<div id="main-menu">
	<a href="<?= $this->getLink('escorts', array('region' => isset($region_slug) ? $region_slug : null, 'nuove'), true) ?>" class="first"><?= $this->t('new_arrivals') ?></a>
	<div class="sep"></div>
	<a href="<?= $this->getLink('escorts', array('region' => isset($region_slug) ? $region_slug : null, 'regular'), true) ?>"><?= $this->t('all_girls') ?></a>
    <?php if ($count  > 0) :?>
        <div class="sep"></div>
        <a href="<?= $this->getLink('escorts', array('region' => isset($region_slug) ? $region_slug : null, 'boys'), true) ?>"><?= $this->t('boys') ?></a>
    <?php endif; ?>
	<div class="sep"></div>
	<a href="<?= $this->getLink('escorts', array('region' => isset($region_slug) ? $region_slug : null, 'trans'), true) ?>"><?= $this->t('trans') ?></a>
	
	<!-- <div class="sep"></div> -->
	<!-- covid-19 -->
	 <div class="sep"></div>
	 <? /*
 	<a style="position:relative" href="<?= $this->getLink('escorts', array('region' => isset($region_slug) ? $region_slug : null, 'virtual'), true) ?>">
		<?= $this->t('live_sex') ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
	
		<? if($this->request()->lang_id == 'de'): ?>
			<img src="<?= _st('NEU.png') ?>" style="position: absolute; top: 0px; right: -8px;" />
		<? else: ?>
			<img src="<?= _st('menu_new_label.png') ?>" style="position: absolute; top: 0px; right: -8px;" />
		<? endif; ?>
	</a>
	*/ ?>

    <!-- <a style="position:relative; min-width: 68px;" href="<?= $this->getLink('and6-cams') ?>" <? /*style="position: relative;">*/ ?>>
        <?= $this->t('live_sex') ?>
        <img src="<?= _st('menu_new_label.png') ?>" style="position: absolute; top: 0px; right: -8px;" />
    </a> -->

    <?php /* <a href="<?= $this->getLink('agencies') ?>"><?= $this->t('agencies') ?></a>
    <div class="sep"></div> */ ?>
	<? /*
	<a href="<?= $this->getLink('escorts', array('region' => isset($region_slug) ? $region_slug : null, 'trans'), true) ?>"><?= $this->t('trans') ?></a>
	<div class="sep"></div>
	
	<a href="#"><?= $this->t('bizarr') ?></a>
	<div class="sep"></div>
	*/ ?>
	<a href="<?= $this->getLink('escorts-list')?>">
        <?= $this->t('escort') ?>
    </a> 
    <div class="sep"></div>
	
	<a href="<?= $this->getLink('search') ?>" rel="nofollow"><?= $this->t('search') ?></a>
	<div class="sep"></div>

  <!--   <a style="position: relative; padding-right: 32px;" href="<?= $this->getLink('escorts', array('region' => isset($region_slug) ? $region_slug : null, 'massage'), true) ?>">
        <?= $this->t('massage') ?>

        <img src="/img/menu_new_label.png" style="position: absolute; top: 0px; right: -6px;">
    </a> -->
	<!-- <div class="sep"></div> -->

    
    <div class="sep"></div>
	
	<? /*<a href="#" id="fchat"><?= __('chat') ?> (<?= Model_EscortsV2::getChatOnlineUsersCount() ?>)</a>
	<div class="sep"></div>*/ ?>
	<? /*
	<a href="#"><?= $this->t('forum') ?></a>
	<div class="sep"></div>
	 */ ?>

    <?
    $activeHappyHoursCount = $cache->load('active_happy_hours_count');
    if ( $activeHappyHoursCount === false ) {
        $activeHappyHoursCount = Model_Escort_List::getActiveHappyHoursCount();
        $cache->save($activeHappyHoursCount, 'active_happy_hours_count', array(), 60 * 3); // store for 3 minutes
    }

    if ($activeHappyHoursCount > 0): ?>
        <a href="<?= $this->getLink('escorts', array('region' => isset($region_slug) ? $region_slug : null, 'happy-hours'), true) ?>"
           rel="nofollow"><?= $this->t('hh_escorts') ?></a>
        <div class="sep"></div>
    <? endif ?>

	<a href="<?= $this->getLink('comments', array('reg' => isset($region_slug) ? $region_slug : 'deutschschweiz' )) ?>"><?= $this->t('comments') ?></a>
	<div class="sep"></div>
	<a href="<?= $this->getLink('latest-actions-index') ?>" >
		<?= $this->t('latest_actions') ?>
	</a>
	<div class="sep"></div>
	<a href="<?= $this->getLink('video-listing') ?>" <? /*style="position: relative;">*/ ?>>
		<?= $this->t('videos') ?>
		<? // ?>
	</a>
    <div class="sep"></div>

    <a class="menu-item-yellow" href="<?= $this->getLink('jobs') ?>" <? /*style="position: relative;">*/ ?>>
        <?= $this->t('jobs') ?>
        <? // ?>
    </a>
    <div class="sep"></div>
    <a class="menu-item-yellow" href="<?= $this->getLink('rent') ?>" <? /*style="position: relative;">*/ ?>>
        <?= $this->t('rent') ?>
        <? // ?>
    </a>

	<? /*
	<div class="sep"></div>	
	<a href="#"><?= $this->t('sexclub_guide') ?></a>
	*/ ?>
	
	<?
		$regions = new Cubix_Geography_Regions();
		$regions = $regions->getRegionsByCountryId(Cubix_Application::getById()->country_id, $region_slug);
		$langs = Cubix_Application::getLangs(); 

		$lang_id = $this->lang();
		
		$uri = strip_tags($_SERVER['REQUEST_URI']);
		
		$ln = $this->request()->ln;
		if ( preg_match("#ln=" . $ln . "#", $uri) ) {
			$uri = preg_replace("/\?ln=[a-z]+/", '', $uri);
		}
			
		if (preg_match("#\?#", $uri) ) {
			$uri .= '&ln=%s';
		}
		else {
			$uri .= '?ln=%s';
		}
		
		$uri = htmlspecialchars(urldecode($uri), ENT_QUOTES);
		
	?>
	
	<?/* if ( count($regions) > 0 ): ?>
		<? foreach( $regions as $region ): ?>
		<div class="sep"></div>
		<a href="<?= $this->getLink('escorts', array('region' => $region->slug), true) ?>"><?= $region->title ?></a>
		<? endforeach; ?>
	<? endif; */?>	

	<div class="flag-selected">
		<div class="click">
			<span class="icon-flag <?= $lang_id ?>"></span>
			<span class="lng-iso"><?= $lang_id ?></span>
			<span class="pntik"></span>
			<div class="clear"></div>
		</div>

		<div class="flags-selectbox none">			
			<?php foreach ( $langs as $i => $lang): ?>
				<? if ( $lang_id == $lang->id ): ?><? continue; ?><? endif; ?>
				<div class="option" rel="<?= sprintf($uri, $lang->id) ?>">
					<span class="icon-flag <?= $lang->id ?>"></span>
					<span class="lng-iso"><?= $lang->id ?></span>					
					<div class="clear"></div>
				</div>
				<? if ( $i + 1 < count($langs) ): ?>
				<div class="f-sep"></div>
				<? endif; ?>
			<? endforeach; ?>
			<div class="clear"></div>
		</div>
	</div>
	
	
	<div class="fright">
		<a href="http://www.and6cam.com" target="_blank"> and6 CAM</a>
		<div class="sep"></div>
		<a href="/p/prices" rel="nofollow"><?= $this->t('pv2_tab_prices') ?></a>
		<div class="sep"></div>
		<a href="<?= $this->getLink('contact') ?>?to=support&ln=<?= $this->request()->lang_id ?>" rel="nofollow"><?= $this->t('contact') ?></a>
		<div class="sep"></div>
	</div>
	
	<? /*
	<a href="<?= $this->getLink('escorts', array('tours'), true) ?>"><?= $this->t('tours') ?></a>
	<div class="sep"></div>
	<a href="<?= $this->getLink('escorts', array('boys'), true) ?>"><?= $this->t('boys') ?></a>
	<div class="sep"></div>
	*/ ?>
	
	

	<? /*
	<? $url = $_SERVER['REQUEST_URI']; $url = explode('/', trim($url, '/')); if ( Cubix_I18n::getLang() != Cubix_Application::getDefaultLang() ) $url[0] = '%s'; else array_unshift($url, '%s'); $lang_url = '/' . implode('/', $url); unset($url[0]); $url = '/' . implode('/', $url); ?>
	<? $langs = Cubix_Application::getLangs(); ?>
	<div class="flags">
		<?php foreach ( $langs as $lang): ?>
		<a href="<?= ($lang->id == Cubix_Application::getDefaultLang()) ? $url : str_replace('%s', $lang->id, $lang_url) ?>" class="flag-<?= $lang->id ?>"></a>
		<? endforeach; ?>
		<div class="clear"></div>
	</div>
	*/ ?>

</div><? /*  main-menu  */ ?>